# WOK
TKWOK
WOKBuilder

# WOKBuilder_EntityHasher Class Reference

`#include <WOKBuilder_EntityHasher.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)

## Static Public Member Functions

static Standard_EXPORT Standard_Integer | HashCode (const Handle(WOKBuilder_Entity)&E1)
static Standard_EXPORT Standard_Boolean | IsEqual (const Handle(WOKBuilder_Entity)&E1, const Handle(WOKBuilder_Entity)&E2)

## Member Function Documentation

static Standard_EXPORT Standard_Integer WOKBuilder_EntityHasher::HashCode | ( | const Handle(WOKBuilder_Entity)& | E1 | ) | `[static]`

static Standard_EXPORT Standard_Boolean WOKBuilder_EntityHasher::IsEqual | ( | const Handle(WOKBuilder_Entity)& | E1,
|  | const Handle(WOKBuilder_Entity)& | E2
| ) | `[static]`

void WOKBuilder_EntityHasher::operator delete | ( | void * | anAddress | ) | `[inline]`

void* WOKBuilder_EntityHasher::operator new | ( | size_t | size | ) | `[inline]`

void* WOKBuilder_EntityHasher::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

The documentation for this class was generated from the following file:

- WOKBuilder_EntityHasher.hxx